New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Voices

Rename a saved voice

POST
/api/v1/voices/{voice_id}/name

Update a saved voice's display name.

Path Parameters

voice_id*Voice Id

Request Body

application/json
  1. body
name*Name

New display name for the voice

Response Body

Successful Response

application/json
  1. response
success*Success

Whether the operation succeeded

message?Message

Human-readable result message

Default""
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/voices/string/name' \  -H 'Content-Type: application/json' \  -d '{  "name": "My narrator voice"}'
Example Response
{  "success": true,  "message": ""}